# Record TCefValue

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefValue = record`

## Description

Structure that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_value_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefValue): Integer; stdcall;`
| `is_owned: function(self: PCefValue): Integer; stdcall;`
| `is_read_only: function(self: PCefValue): Integer; stdcall;`
| `is_same: function(self, that: PCefValue): Integer; stdcall;`
| `is_equal: function(self, that: PCefValue): Integer; stdcall;`
| `copy: function(self: PCefValue): PCefValue; stdcall;`
| `get_type: function(self: PCefValue): TCefValueType; stdcall;`
| `get_bool: function(self: PCefValue): Integer; stdcall;`
| `get_int: function(self: PCefValue): Integer; stdcall;`
| `get_double: function(self: PCefValue): Double; stdcall;`
| `get_string: function(self: PCefValue): PCefStringUserFree; stdcall;`
| `get_binary: function(self: PCefValue): PCefBinaryValue; stdcall;`
| `get_dictionary: function(self: PCefValue): PCefDictionaryValue; stdcall;`
| `get_list: function(self: PCefValue): PCefListValue; stdcall;`
| `set_null: function(self: PCefValue): Integer; stdcall;`
| `set_bool: function(self: PCefValue; value: Integer): Integer; stdcall;`
| `set_int: function(self: PCefValue; value: Integer): Integer; stdcall;`
| `set_double: function(self: PCefValue; value: Double): Integer; stdcall;`
| `set_string: function(self: PCefValue; const value: PCefString): Integer; stdcall;`
| `set_binary: function(self: PCefValue; value: PCefBinaryValue): Integer; stdcall;`
| `set_dictionary: function(self: PCefValue; value: PCefDictionaryValue): Integer; stdcall;`
| `set_list: function(self: PCefValue; value: PCefListValue): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `is_owned: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefValue): Integer; stdcall;`
This item has no description.

| `is_equal: function(self, that: PCefValue): Integer; stdcall;`
This item has no description.

| `copy: function(self: PCefValue): PCefValue; stdcall;`
This item has no description.

| `get_type: function(self: PCefValue): TCefValueType; stdcall;`
This item has no description.

| `get_bool: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `get_int: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `get_double: function(self: PCefValue): Double; stdcall;`
This item has no description.

| `get_string: function(self: PCefValue): PCefStringUserFree; stdcall;`
This item has no description.

| `get_binary: function(self: PCefValue): PCefBinaryValue; stdcall;`
This item has no description.

| `get_dictionary: function(self: PCefValue): PCefDictionaryValue; stdcall;`
This item has no description.

| `get_list: function(self: PCefValue): PCefListValue; stdcall;`
This item has no description.

| `set_null: function(self: PCefValue): Integer; stdcall;`
This item has no description.

| `set_bool: function(self: PCefValue; value: Integer): Integer; stdcall;`
This item has no description.

| `set_int: function(self: PCefValue; value: Integer): Integer; stdcall;`
This item has no description.

| `set_double: function(self: PCefValue; value: Double): Integer; stdcall;`
This item has no description.

| `set_string: function(self: PCefValue; const value: PCefString): Integer; stdcall;`
This item has no description.

| `set_binary: function(self: PCefValue; value: PCefBinaryValue): Integer; stdcall;`
This item has no description.

| `set_dictionary: function(self: PCefValue; value: PCefDictionaryValue): Integer; stdcall;`
This item has no description.

| `set_list: function(self: PCefValue; value: PCefListValue): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.